Package twisted :: Package mail :: Module relaymanager :: Class ManagedRelayerMixin |
[frames | no frames]

## Class ManagedRelayerMixin

Known Subclasses:
  `ESMTPManagedRelayer`, `SMTPManagedRelayer`

SMTP Relayer which notifies a manager

Notify the manager about successful mail, failed mail and broken connections

Method Summary
| `__init__(self, manager)`
| ``connectionLost`(self, reason)` called when connection is broken
| ``sentMail`(self, code, resp, numOk, addresses, log)` called when e-mail has been sent

Method Details

### connectionLost(self, reason) called when connection is broken notify manager we will try to send no more e-mail

### sentMail(self, code, resp, numOk, addresses, log) called when e-mail has been sent we will always get 0 or 1 addresses.

Generated by Epydoc 2.0 on Sat Oct 25 00:55:04 2003 | http://epydoc.sf.net